Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## demos.atomicblocks
Class DEPlotter

    java.lang.Object
      modhelxs.abstractsemantics.NamedEntity
          modhelxs.abstractsemantics.ObservableEntity
              modhelxs.abstractsemantics.Block
                  modhelxs.state_management.ManagedBlock
                      modhelxs.state_management.PlainManagedBlock
                          demos.atomicblocks.DEPlotter

All Implemented Interfaces:
  Block, NamedEntity, ObservableEntity

    public class DEPlotter

extends PlainManagedBlock

A DEPlotter is a Block for the DE MoC which displays the value received on each of its Pins in a graphical window. The properties used by the DEPlotter are: - "xscale": the horizontal scale, in pixels per time unit - "yscale": the vertical scale, in pixels per unit - "xmin" and "xmax": the horizontal range - "ymin" and "ymax": the vertical range - "xticks" and "yticks": interval between horizontal/vertical ticks

Author:
  boulange

Nested Class Summary
`private static class` | `DEPlotter.PlotterWindow`

Field Summary
`private TransientMap<Pin,java.lang.Number>` | `data_`
`private Attribute<DEPlotter.PlotterWindow>` | `window_`

Constructor Summary
`DEPlotter(java.lang.String name, java.lang.Object... properties)`

Method Summary
`void` | `doEndOfSnapshot()` The endOfSnapshot behavior of the block.
`void` | `doSetup()` The setup behavior of the block.
`void` | `doUpdate()` The update behavior of the block.

Methods inherited from class modhelxs.state_management.PlainManagedBlock
`doPreSetup, doReset, doStartOfSnapshot`

Methods inherited from class modhelxs.state_management.ManagedBlock
`emitObservationRequests, endOfSnapshot, endOfUpdate, initFromProperties, prep, reset, setup, startOfSnapshot, startOfUpdate, update, validate, wasUpdated, wrapup`

Methods inherited from class modhelxs.abstractsemantics.Block
`connect, connectFromInterfaceBlock, connectFromModel, connectFromRegularBlock, getEngine, getInputPins, getMoC, getOutputPins, getParent, getSolver, getTimeOfRequest, hasObservationRequest, sanityCheck, setParent`

Methods inherited from class modhelxs.abstractsemantics.ObservableEntity
`addPin, getInterface, getPin`

Methods inherited from class modhelxs.abstractsemantics.NamedEntity
`getName, getProperties, getProperty, hasProperty, removeProperty, setName, setProperties, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface modhelxs.ecore.ObservableEntity
`getInterface`

Methods inherited from interface modhelxs.ecore.NamedEntity
`getName, getProperties, setName`

Field Detail

### data_

    private TransientMap<Pin,java.lang.Number> data_

### window_

    private Attribute<DEPlotter.PlotterWindow> window_

Constructor Detail

### DEPlotter

    public DEPlotter(java.lang.String name,
                     java.lang.Object... properties)

Method Detail

### doSetup

    public void doSetup()

  Description copied from class: `ManagedBlock`
  The setup behavior of the block.

  Specified by:
    `doSetup` in class `ManagedBlock`

### doUpdate

    public void doUpdate()

  Description copied from class: `ManagedBlock`
  The update behavior of the block.

  Specified by:
    `doUpdate` in class `ManagedBlock`

### doEndOfSnapshot

    public void doEndOfSnapshot()

  Description copied from class: `ManagedBlock`
  The endOfSnapshot behavior of the block.

  Overrides:
    `doEndOfSnapshot` in class `PlainManagedBlock`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD